import type { VxeGridProps } from '#/adapter/vxe-table';

import { DictEnum } from '@vben/constants';

import { renderDict } from '#/utils/render';

export const columns: VxeGridProps['columns'] = [
  { type: 'checkbox', width: 60, fixed: 'left' },
  {
    title: '处理时间',
    field: 'handleTime',
    width: 200
  },
  {
    title: '操作用户',
    field: 'operaUserName',
    width: 160
  },
  {
    title: '操作',
    field: 'opera',
    width: 100,
    slots: {
      default: ({ row }) => {
        if (!row.opera) {
          return '';
        }
        return renderDict(row.opera, DictEnum.REPAIR_RECORD_HANDLE);
      }
    }
  },
  {
    title: '操作结果',
    field: 'operaResult',
    width: 160
  },
  {
    title: '',
    field: 'blank',
    minWidth: 100
  }
];
